openapi: 3.0.1
info:
  title: Bank of England RTGS Accounts API
  version: 1.20.0
  description: >-
    An Account is the holding area where fund balances for a participant
    organisation can be maintained, for use against specific purposes in the
    RTGS Solution.

     The Bank of England RTGS Accounts API enables an organisation to:
    - Retrieve a list of Accounts

    - Retrieve details of a specific account

    - Retrieve details of balance allocations associated to an account

    - Retrieve details of reports associated to an account

    - Retrieve a specific report associated to an account

    - Retrieve the posting details associated to an account
  contact:
    email: APITeam@bankofengland.co.uk
    name: RTGS API team
  license:
    url: https://www.bankofengland.co.uk/payment-and-settlement
    name: >-
      Please refer to the API Annex under the "Requirements for use of RTGS
      accounts" section
servers:
  - url: >-
      https://api-test.swiftnet.sipn.swift.com/boe-rtgs-api-pilot-i1/acct-mgmt/np4/v1
    description: NP4 Environment (Non-Prod)
    variables:
      apiPath:
        default: /boe-rtgs-api-pilot-i1/acct-mgmt/np4
      taskApiPath:
        default: /boe-rtgs-api-pilot-i1/task-mgmt/np4
  - url: >-
      https://api-test.swiftnet.sipn.swift.com/boe-rtgs-api-pilot-i1/acct-mgmt/np5/v1
    description: NP5 Environment (Non-Prod)
    variables:
      apiPath:
        default: /boe-rtgs-api-pilot-i1/acct-mgmt/np5
      taskApiPath:
        default: /boe-rtgs-api-pilot-i1/task-mgmt/np5
  - url: >-
      https://api-test.swiftnet.sipn.swift.com/boe-rtgs-api-pilot-i2/acct-mgmt/pp2/v1
    description: PP2 Environment (Dress-Rehearsals)
    variables:
      apiPath:
        default: /boe-rtgs-api-pilot-i2/acct-mgmt/pp2
      taskApiPath:
        default: /boe-rtgs-api-pilot-i2/task-mgmt/pp2
  - url: >-
      https://api-test.swiftnet.sipn.swift.com/boe-rtgs-api-pilot-i3/acct-mgmt/pp2/v1
    description: PP2 Environment (Pre-Prod)
    variables:
      apiPath:
        default: /boe-rtgs-api-pilot-i3/acct-mgmt/pp2
      taskApiPath:
        default: /boe-rtgs-api-pilot-i3/task-mgmt/pp2
  - url: https://api.swiftnet.sipn.swift.com/boe-rtgs-api/acct-mgmt/v1
    description: Live Environment (Prod)
    variables:
      apiPath:
        default: /boe-rtgs-api/acct-mgmt
      taskApiPath:
        default: /boe-rtgs-api/task-mgmt
paths:
  /accounts/{accountId}:
    get:
      tags:
        - Accounts
      summary: Retrieves a specific account information based on the account Id.
      description: >-
        An Account is the hold area where Fund balances for a Participant
        organisation can be maintained, for use against specific purposes in the
        RTGS solution. Given an Account Id, this endpoint allows the consumer to
        retrieve the details of a specific RTGS account along with balance, that
        the consumer is authorised to. Note: The Account Id can be obtained
        using the List of Accounts endpoint.
      operationId: getSingleAccount
      parameters:
        - name: accountId
          in: path
          description: 'A unique ID for the Account assigned by the RTGS. '
          required: true
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        - name: x-userContext
          in: header
          description: >-
            User context is in base64 format. It will include the institution
            BIC. Participants do not need to send this value. This will be
            populated at Network Level.
          required: false
          schema:
            type: string
            format: byte
          example: >-
            eyJhbGciOiJSUzI1NiIsImtpZCI6ImN1cmwgLXYgbGRhcDovL0RJUkwwMS5zd2lmdG5ldC5zaXBuLnN3aWZ0LmNvbTozODkvY249dHNzY2hhbm5lbCxvPXN3bGliZWIzLG89c3dpZnQ/dXNlckNlcnRpZmljYXRlIiwidHlwIjoiSldUIn0=
        - name: x-journeyId
          in: header
          description: >-
            Used to uniquely identify end to end journey of the API request. If
            header is provided in the request, then the same will be replayed in
            response headers. This will be populated at Network Level.
          required: false
          schema:
            maxLength: 64
            minLength: 64
            type: string
          example: 721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        - name: X-Forwarded-Host
          in: header
          description: >-
            Identifies the original host and port requested by the client in the
            Host HTTP request header. If no port is included, the default port
            for the service requested is implied. This will be populated at
            Network Level.
          required: false
          schema:
            pattern: ^[-a-zA-Z0-9@:%._+~#]{2,256}(:[0-9]{2,4})*$
            type: string
          example: example.com:8080
        - name: X-Forwarded-Path
          in: header
          description: >-
            Identifies the original URL path requested by the client, including
            any query string. This will be populated at Network Level.
          required: false
          schema:
            type: string
          example: /boe-rtgs-api/resource-mgmt/v1/resources?parentName=eq%3Aparent
      responses:
        '200':
          description: Account found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/AccountSingleResponse'
        '400':
          description: Bad request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/APIErrorResponseWrapperDTO'
              example:
                error:
                  status: '400'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a13
                  detail: Constraint Violation - Path Variable(s)
                  errors:
                    - errorCode: EAPIGTW2002
                      detail: 'Invalid id provided: TT'
        '401':
          description: Unauthorized
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '403':
          description: Forbidden
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '404':
          description: Record not found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/APIErrorResponseWrapperDTO'
              example:
                error:
                  status: '404'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a15
                  detail: Record not found
                  errors:
                    - errorCode: EAPIGTW2017
                      detail: 'Record does not exist for given ID : 88'
        '405':
          description: Method not allowed
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '406':
          description: Not acceptable
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '429':
          description: Too many request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '500':
          description: Internal server error
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
      path: /accounts/{accountId}
      method: GET
  /accounts/{accountId}/balanceAllocations:
    get:
      tags:
        - Accounts
      summary: >-
        Retrieves a specific account's balance allocations based on the account
        Id.
      description: >-
        A balance allocation is a container which enables a portion of an
        account balance to be segregated so that it can be grouped into a
        settlement liquidity group to provide liquidity to back settlements.
        This endpoint allows the consumer to retrieve the account's balance
        allocation details based on the account Id, that the consumer is
        authorised to. By default, the list of balance allocations is sorted by
        the balanceAllocationId field in an ascending order. Note: The Account
        Id can be obtained using the List of Accounts endpoint.
      operationId: getAccountBalanceAllocations
      parameters:
        - name: accountId
          in: path
          description: 'A unique ID for the Account assigned by the RTGS. '
          required: true
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        - name: balanceAllocationSuffix
          in: query
          description: >-
            Used to filter balance allocations based on balance allocation
            suffix. Attribute used in the Balance Allocation Name to identify
            the Participant's usage of that Balance Allocation. Accepts multiple
            values. Only supports Equal(eq)
          required: false
          schema:
            pattern: ^[A-Za-z0-9 \s]{0,5}$
            type: string
          example: BC
        - name: balanceAllocationName
          in: query
          description: >-
            Used to filter balance allocations based on the balance allocation
            names. Name of the balance allocation in RTGS that is a
            concatenation of Account Book Name, Balance Allocation Type and
            Balance Allocation Suffix. The connector used to concatenate the
            value for this field is a space. Accepts multiple values. Only
            supports Equal(eq)
          required: false
          schema:
            pattern: ^[&A-Za-z0-9()\.,\?\+:'\-/\s]{1,35}$
            type: string
          example: Natwest SETT BACs
        - name: negativeBalance
          in: query
          description: >-
            Used to filter the balance allocations based on the negative balance
            configured. Negative Balance indicates whether or not a balance
            allocation can go overdrawn. When indicator is turned off, value
            will be set to 0. When indicator is turned on, field will be any
            negative value up to system minimum
            (-999999999999999999999999999999.99). This field represents the
            negative balance of the balance allocation associated to its
            currency. This field can be up to 2 decimal places. Can support Less
            than (lt), Less than or equal (lte), Greater than (gt), greater than
            or Equal (gte) or Equal(eq)
          required: false
          schema:
            type: number
          example: 10
        - name: currentBalance
          in: query
          description: >-
            Used to filter the balance allocations based on the current balance.
            This field represents the current balance of the balance allocation
            associated to its currency. This field can be up to 2 decimal
            places. Can support Less than (lt), Less than or equal (lte),
            Greater than (gt), greater than or Equal (gte) or Equal(eq).
          required: false
          schema:
            type: number
          example: 10
        - name: availableBalance
          in: query
          description: >-
            Used to filter the balance allocations based on the available
            balance. This field represents the available balance of the balance
            allocation associated to its currency. This field can be up to 2
            decimal places. Can support Less than (lt), Less than or equal
            (lte), Greater than (gt), greater than or Equal (gte) or Equal(eq)
          required: false
          schema:
            type: number
          example: 10
        - name: balanceAllocationStatusCode
          in: query
          description: >-
            Used to filter the balance allocations based on the balance
            allocation status codes. Determines the status of the balance
            allocation. Accepts multiple values. Only supports Equal(eq).
            Possible values can be fetched from "GET
            /filterValues?resourceName=balanceAllocationStatuses" endpoint.
          required: false
          schema:
            pattern: ^[A-Z_]{1,35}$
            type: string
          example: ACTIVE
        - name: balanceAllocationTypeCode
          in: query
          description: >-
            Used to filter the balance allocations based on the balance
            allocation type code. Balance Allocation type identifies the high
            level purpose of balance allocation. Accepts multiple values. Only
            supports Equal(eq). Possible values can be fetched from "GET
            /filterValues?resourceName=balanceAllocationTypes" endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,35}$
            type: string
          example: COMM
        - name: variant
          in: query
          description: >-
            Used to filter data based on variant type. This is used to determine
            the level of access to be applied for the given resource. Note: this
            filter is not applicable to participants.
          required: false
          schema:
            pattern: ^(PSO|PSO_MEMBS)$
            type: string
            enum:
              - PSO
              - PSO_MEMBS
          example: PSO
        - name: limit
          in: query
          description: >-
            Number of items to return in a page. Must be greater than or equal
            to 1  (Default 20)
          required: false
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
          example: 20
        - name: offset
          in: query
          description: >-
            The number of the record to start the page from. Must be greater
            than 0 and less than 2147483647 (The maximum value for an integer).
            The default value is 0.
          required: false
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int64
          example: 0
        - name: sort
          in: query
          description: >-
            Order to sort results in [direction][field] where direction is
            +(ascending) or -(descending)
          required: false
          schema:
            type: string
          example: +id
        - name: x-userContext
          in: header
          description: >-
            User context is in base64 format. It will include the institution
            BIC. Participants do not need to send this value. This will be
            populated at Network Level.
          required: false
          schema:
            type: string
            format: byte
          example: >-
            eyJhbGciOiJSUzI1NiIsImtpZCI6ImN1cmwgLXYgbGRhcDovL0RJUkwwMS5zd2lmdG5ldC5zaXBuLnN3aWZ0LmNvbTozODkvY249dHNzY2hhbm5lbCxvPXN3bGliZWIzLG89c3dpZnQ/dXNlckNlcnRpZmljYXRlIiwidHlwIjoiSldUIn0=
        - name: x-journeyId
          in: header
          description: >-
            Used to uniquely identify end to end journey of the API request. If
            header is provided in the request, then the same will be replayed in
            response headers. This will be populated at Network Level.
          required: false
          schema:
            maxLength: 64
            minLength: 64
            type: string
          example: 721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        - name: X-Forwarded-Host
          in: header
          description: >-
            Identifies the original host and port requested by the client in the
            Host HTTP request header. If no port is included, the default port
            for the service requested is implied. This will be populated at
            Network Level.
          required: false
          schema:
            pattern: ^[-a-zA-Z0-9@:%._+~#]{2,256}(:[0-9]{2,4})*$
            type: string
          example: example.com:8080
        - name: X-Forwarded-Path
          in: header
          description: >-
            Identifies the original URL path requested by the client, including
            any query string. This will be populated at Network Level.
          required: false
          schema:
            type: string
          example: /boe-rtgs-api/resource-mgmt/v1/resources?parentName=eq%3Aparent
      responses:
        '200':
          description: Account Balance Allocations Found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/AccountBalanceAllocationResponseList_OperatorListEndpoints
        '400':
          description: Bad request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/APIErrorResponseWrapperDTO_OperatorListEndpoints
              example:
                error:
                  status: '400'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a12
                  detail: Invalid parameters
                  errors:
                    - errorCode: EAPIGTW2002
                      detail: Limit parameter is less than 1
        '401':
          description: Unauthorized
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '403':
          description: Forbidden
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '404':
          description: Record not found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/APIErrorResponseWrapperDTO_OperatorListEndpoints
              example:
                error:
                  status: '404'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a15
                  detail: Record not found
                  errors:
                    - errorCode: EAPIGTW2017
                      detail: 'Record does not exist for given ID : 88'
        '405':
          description: Method not allowed
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '406':
          description: Not acceptable
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '429':
          description: Too many request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '500':
          description: Internal server error
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
      path: /accounts/{accountId}/balanceAllocations
      method: GET
  /accounts:
    get:
      tags:
        - Accounts
      summary: Retrieves a list of Accounts.
      description: >-
        An Account is the hold area where Fund balances for a Participant
        organisation can be maintained, for use against specific purposes in the
        RTGS solution. This endpoint allows the consumer to retrieve the list of
        RTGS accounts along with balances and details, that the consumer is
        authorised to. This endpoint requires at least one query parameter. By
        default, the data is sorted by the participantFullName field in an
        ascending order.
      operationId: getAccounts
      parameters:
        - name: participantId
          in: query
          description: >-
            Used to filter accounts based on the participant's id. A unique ID
            for the participant. Accepts multiple values. Only supports
            Equal(eq). Possible values can be fetched from "GET
            /filterValues?resourceName=participants" endpoint.
          required: false
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120001
        - name: schemeCode
          in: query
          description: >-
            Used to filter accounts based on scheme code. Code for the scheme
            (an abbreviated form) to which the account is associated to. An
            account can be associated to multiple schemes. Accepts multiple
            values. Only supports Equal(eq). Possible values can be fetched from
            "GET /filterValues?resourceName=schemes" endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,35}$
            type: string
          example: FSTP
        - name: accountStatusCode
          in: query
          description: >-
            Used to filter accounts based on account status code. Accepts
            multiple values. Only supports Equal(eq). Possible values can be
            fetched from "GET /filterValues?resourceName=accountStatuses"
            endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,35}$
            type: string
          example: ACTIVE
        - name: accountBookCode
          in: query
          description: >-
            Used to filter accounts based on account book code. Code for the
            Account Book to which the account belongs. An Account Book is a
            container that groups a portfolio of accounts. Accepts multiple
            values. Only supports Equal(eq). Possible values can be fetched from
            "GET
            /filterValues?resourceName=accountBooks&parentValue={participantId}"
            endpoint.
          required: false
          schema:
            pattern: ^[A-Za-z0-9\s]{1,35}$
            type: string
          example: NMP
        - name: accountTypeCode
          in: query
          description: >-
            Used to filter accounts based on account type code. Identifier of
            the category (in an abbreviated form) to which the RTGS account
            belongs to. Accepts multiple values. Only supports Equal(eq).
            Possible values can be fetched from "GET
            /filterValues?resourceName=accountTypes" endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,35}$
            type: string
          example: SETT
        - name: accountSubTypeCode
          in: query
          description: >-
            Used to filter accounts based on account sub type code. Identifier
            of the subcategory (in an abbreviated form) to which the RTGS
            account belongs to. Accepts multiple values. Only supports
            Equal(eq). Possible values can be fetched from "GET
            /filterValues?resourceName=accountSubTypes&parentValue={accountTypeCode}"
            endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,35}$
            type: string
          example: GEN
        - name: accountNumber
          in: query
          description: >-
            Used to filter accounts based on account number. 8 digit number that
            identifies a unique account. Only supports Equal(eq).
          required: false
          schema:
            pattern: ^[0-9]{8}$
            type: string
          example: 1245678
        - name: transactionSubTypeCode
          in: query
          description: >-
            Used to filter accounts based on transaction sub type code. Aids in
            understanding the sub category of the transaction type associated to
            the account. Only supports Equal(eq). Possible values can be fetched
            from GET
            /filterValues?resourceName=transactionSubTypes&parentValue={transactionTypeCode}
            endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,4}$
            type: string
          example: CHCH
        - name: limit
          in: query
          description: >-
            Number of items to return in a page. Must be greater than or equal
            to 1  (Default 20)
          required: false
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
          example: 20
        - name: offset
          in: query
          description: >-
            The number of the record to start the page from. Must be greater
            than 0 and less than 2147483647 (The maximum value for an integer).
            The default value is 0.
          required: false
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int64
          example: 0
        - name: sort
          in: query
          description: >-
            Order to sort results in [direction][field] where direction is
            +(ascending) or -(descending)
          required: false
          schema:
            type: string
          example: +id
        - name: x-userContext
          in: header
          description: >-
            User context is in base64 format. It will include the institution
            BIC. Participants do not need to send this value. This will be
            populated at Network Level.
          required: false
          schema:
            type: string
            format: byte
          example: >-
            eyJhbGciOiJSUzI1NiIsImtpZCI6ImN1cmwgLXYgbGRhcDovL0RJUkwwMS5zd2lmdG5ldC5zaXBuLnN3aWZ0LmNvbTozODkvY249dHNzY2hhbm5lbCxvPXN3bGliZWIzLG89c3dpZnQ/dXNlckNlcnRpZmljYXRlIiwidHlwIjoiSldUIn0=
        - name: x-journeyId
          in: header
          description: >-
            Used to uniquely identify end to end journey of the API request. If
            header is provided in the request, then the same will be replayed in
            response headers. This will be populated at Network Level.
          required: false
          schema:
            maxLength: 64
            minLength: 64
            type: string
          example: 721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        - name: X-Forwarded-Host
          in: header
          description: >-
            Identifies the original host and port requested by the client in the
            Host HTTP request header. If no port is included, the default port
            for the service requested is implied. This will be populated at
            Network Level.
          required: false
          schema:
            pattern: ^[-a-zA-Z0-9@:%._+~#]{2,256}(:[0-9]{2,4})*$
            type: string
          example: example.com:8080
        - name: X-Forwarded-Path
          in: header
          description: >-
            Identifies the original URL path requested by the client, including
            any query string. This will be populated at Network Level.
          required: false
          schema:
            type: string
          example: /boe-rtgs-api/resource-mgmt/v1/resources?parentName=eq%3Aparent
      responses:
        '200':
          description: Accounts
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/AccountResponseList'
        '400':
          description: Bad request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/APIErrorResponseWrapperDTO'
              example:
                error:
                  status: '400'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a12
                  detail: Invalid parameters
                  errors:
                    - errorCode: EAPIGTW2002
                      detail: Limit parameter is less than 1
        '401':
          description: Unauthorized
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '403':
          description: Forbidden
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '404':
          description: Record not found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/APIErrorResponseWrapperDTO'
              example:
                error:
                  status: '404'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a15
                  detail: Record not found
                  errors:
                    - errorCode: EAPIGTW2017
                      detail: 'Record does not exist for given ID : 88'
        '405':
          description: Method not allowed
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '406':
          description: Not acceptable
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '429':
          description: Too many request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '500':
          description: Internal server error
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
      path: /accounts
      method: GET
  /accounts/{accountId}/reports:
    get:
      tags:
        - Accounts
      summary: >-
        Retrieves a specific account's reports key information based on the
        account Id.
      description: >-
        Given an account Id, this endpoint allows an authorised participant
        organisation to retrieve key information about reports that has been
        generated by RTGS. Note: This endpoint does not allow participant
        organisations to request generation of new reports. This endpoint
        supports the retrieval of the following types of reports:
        <br><ul><li>EOD Statement</li><li>Intraday
        Statement</li><li>Opening/Closing Balance</li><li>Intraday
        Balance</li><li>Liquidity Advice</li><li>Liquidity
        Pre-Advice</li></ul><br>This endpoint requires at least one query
        parameter. Note: The Account Id can be obtained using the List of
        Accounts endpoint. By default, the data is sorted by the reportCreatedAt
        field in a descending order.
      operationId: getAccountReports
      parameters:
        - name: accountId
          in: path
          description: 'A unique ID for the Account assigned by the RTGS. '
          required: true
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        - name: reportTypeCode
          in: query
          description: >-
            Used to filter reports based on report type code. Identifier of the
            category / type (in an abbreviated form) of the report. When using
            this field, an operator must be specified as the following example:
            "eq:SCHED_STMNT". Only supports Equal(eq). Possible values can be
            fetched from "GET /filterValues?resourceName=reportTypes" endpoint.
          required: false
          schema:
            pattern: ^[A-Z_]{1,35}$
            type: string
          example: SCHED_STMNT
        - name: valueDate
          in: query
          description: >-
            Used to filter reports based on settlement date of report. Date of a
            given value day that the report has been produced for. When using
            this field, an operator must be specified as the following example:
            "eq:2022-07-08". This should follow the standard ISO 8601 format
            with UTC offset. Only supports Equal(eq)
          required: false
          schema:
            type: string
            format: date
          example: '2022-07-08'
        - name: limit
          in: query
          description: >-
            Number of items to return in a page. Must be greater than or equal
            to 1  (Default 20)
          required: false
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
          example: 20
        - name: offset
          in: query
          description: >-
            The number of the record to start the page from. Must be greater
            than 0 and less than 2147483647 (The maximum value for an integer).
            The default value is 0.
          required: false
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int64
          example: 0
        - name: sort
          in: query
          description: >-
            Order to sort results in [direction][field] where direction is
            +(ascending) or -(descending)
          required: false
          schema:
            type: string
          example: +id
        - name: x-userContext
          in: header
          description: >-
            User context is in base64 format. It will include the institution
            BIC. Participants do not need to send this value. This will be
            populated at Network Level.
          required: false
          schema:
            type: string
            format: byte
          example: >-
            eyJhbGciOiJSUzI1NiIsImtpZCI6ImN1cmwgLXYgbGRhcDovL0RJUkwwMS5zd2lmdG5ldC5zaXBuLnN3aWZ0LmNvbTozODkvY249dHNzY2hhbm5lbCxvPXN3bGliZWIzLG89c3dpZnQ/dXNlckNlcnRpZmljYXRlIiwidHlwIjoiSldUIn0=
        - name: x-journeyId
          in: header
          description: >-
            Used to uniquely identify end to end journey of the API request. If
            header is provided in the request, then the same will be replayed in
            response headers. This will be populated at Network Level.
          required: false
          schema:
            maxLength: 64
            minLength: 64
            type: string
          example: 721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        - name: X-Forwarded-Host
          in: header
          description: >-
            Identifies the original host and port requested by the client in the
            Host HTTP request header. If no port is included, the default port
            for the service requested is implied. This will be populated at
            Network Level.
          required: false
          schema:
            pattern: ^[-a-zA-Z0-9@:%._+~#]{2,256}(:[0-9]{2,4})*$
            type: string
          example: example.com:8080
        - name: X-Forwarded-Path
          in: header
          description: >-
            Identifies the original URL path requested by the client, including
            any query string. This will be populated at Network Level.
          required: false
          schema:
            type: string
          example: /boe-rtgs-api/resource-mgmt/v1/resources?parentName=eq%3Aparent
      responses:
        '200':
          description: Reports found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/AccountReportResponseList_OperatorListEndpoints
        '400':
          description: Bad request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/APIErrorResponseWrapperDTO_OperatorListEndpoints
              example:
                error:
                  status: '400'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a12
                  detail: Invalid parameters
                  errors:
                    - errorCode: EAPIGTW2002
                      detail: Limit parameter is less than 1
        '401':
          description: Unauthorized
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '403':
          description: Forbidden
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '404':
          description: Record not found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/APIErrorResponseWrapperDTO_OperatorListEndpoints
              example:
                error:
                  status: '404'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a15
                  detail: Record not found
                  errors:
                    - errorCode: EAPIGTW2017
                      detail: 'Record does not exist for given ID : 88'
        '405':
          description: Method not allowed
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '406':
          description: Not acceptable
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '429':
          description: Too many request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '500':
          description: Internal server error
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
      path: /accounts/{accountId}/reports
      method: GET
  /accounts/{accountId}/reports/{reportId}:
    get:
      tags:
        - Accounts
      summary: Retrieves a specific report based on the account Id and report Id.
      description: >-
        Given an Account Id, this endpoint allows an authorised participant
        organisation to retrieve a specific report based on the report Id, that
        has been generated by RTGS. Note: This endpoint does not allow
        participant organisations to request generation of new reports. This
        endpoint supports the retrieval of the following types of reports:
        <br><ul><li>EOD Statement</li><li>Intraday
        Statement</li><li>Opening/Closing Balance</li><li>Intraday
        Balance</li><li>Liquidity Advice</li><li>Liquidity
        Pre-Advice</li></ul><br>Note: A list of all valid Report Id's for an
        account can be obtained using the List of Reports endpoint and similarly
        valid Account Id's can be obtained using the List of Accounts endpoint.
      operationId: getSingleAccountReport
      parameters:
        - name: accountId
          in: path
          description: 'A unique ID for the Account assigned by the RTGS. '
          required: true
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        - name: reportId
          in: path
          description: 'A unique ID for the report assigned by the RTGS. '
          required: true
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        - name: x-userContext
          in: header
          description: >-
            User context is in base64 format. It will include the institution
            BIC. Participants do not need to send this value. This will be
            populated at Network Level.
          required: false
          schema:
            type: string
            format: byte
          example: >-
            eyJhbGciOiJSUzI1NiIsImtpZCI6ImN1cmwgLXYgbGRhcDovL0RJUkwwMS5zd2lmdG5ldC5zaXBuLnN3aWZ0LmNvbTozODkvY249dHNzY2hhbm5lbCxvPXN3bGliZWIzLG89c3dpZnQ/dXNlckNlcnRpZmljYXRlIiwidHlwIjoiSldUIn0=
        - name: x-journeyId
          in: header
          description: >-
            Used to uniquely identify end to end journey of the API request. If
            header is provided in the request, then the same will be replayed in
            response headers. This will be populated at Network Level.
          required: false
          schema:
            maxLength: 64
            minLength: 64
            type: string
          example: 721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        - name: X-Forwarded-Host
          in: header
          description: >-
            Identifies the original host and port requested by the client in the
            Host HTTP request header. If no port is included, the default port
            for the service requested is implied. This will be populated at
            Network Level.
          required: false
          schema:
            pattern: ^[-a-zA-Z0-9@:%._+~#]{2,256}(:[0-9]{2,4})*$
            type: string
          example: example.com:8080
        - name: X-Forwarded-Path
          in: header
          description: >-
            Identifies the original URL path requested by the client, including
            any query string. This will be populated at Network Level.
          required: false
          schema:
            type: string
          example: /boe-rtgs-api/resource-mgmt/v1/resources?parentName=eq%3Aparent
      responses:
        '200':
          description: Report found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/SingleReportAccountSingleResponse'
        '400':
          description: Bad request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/APIErrorResponseWrapperDTO'
              example:
                error:
                  status: '400'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a13
                  detail: Constraint Violation - Path Variable(s)
                  errors:
                    - errorCode: EAPIGTW2002
                      detail: 'Invalid id provided: TT'
        '401':
          description: Unauthorized
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '403':
          description: Forbidden
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '404':
          description: Record not found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: '#/components/schemas/APIErrorResponseWrapperDTO'
              example:
                error:
                  status: '404'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a15
                  detail: Record not found
                  errors:
                    - errorCode: EAPIGTW2017
                      detail: 'Record does not exist for given ID : 88'
        '405':
          description: Method not allowed
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '406':
          description: Not acceptable
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '429':
          description: Too many request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '500':
          description: Internal server error
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
      path: /accounts/{accountId}/reports/{reportId}
      method: GET
  /accounts/{accountId}/postingDetails:
    get:
      tags:
        - Accounts
      summary: Retrieves a specific account's posting details based on the account Id.
      description: >-
        Given an account Id, this endpoint allows an authorised participant
        organisation to retrieve posting details for a given account. This
        endpoint requires at least one query parameter. Note: The Account Id can
        be obtained using the List of Accounts endpoint. By default, the data is
        sorted by the trn (transaction reference number) field in an ascending
        order.
      operationId: getAccountReports_1
      parameters:
        - name: accountId
          in: path
          description: 'A unique ID for the Account assigned by the RTGS. '
          required: true
          schema:
            pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
            type: string
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        - name: transactionTypeCode
          in: query
          description: >-
            Used to filter account postings based on transaction type code.
            Identifier of the category to which the posting belongs to. Only
            supports Equal(eq). Possible values can be fetched from "GET
            /filterValues?resourceName=transactionTypes" endpoint.
          required: false
          schema:
            pattern: ^[A-Z]{1,15}$
            type: string
          example: CHAPS
        - name: trn
          in: query
          description: >-
            Used to filter account postings based on the transaction reference
            number of the settlement which is generated by the Participant. Only
            supports Equal(eq).
          required: false
          schema:
            pattern: ^[0-9a-zA-Z\/\-\?:\(\)\.,'\+\s]{1,16}$
            type: string
          example: TRN100
        - name: transactionId
          in: query
          description: >-
            Used to filter account postings based on transaction id. A unique Id
            for the transaction in the RTGS. Only supports Equal(eq).
          required: false
          schema:
            pattern: ^[0-9a-fA-F\-]{1,36}$
            type: string
          example: 5371b37d-43bb-4a8f-9ab2-70dec1d77909
        - name: settlementDate
          in: query
          description: >-
            Used to filter account postings based on the settlement date. Date
            requested by the participant, when payment should be settled. This
            should follow the standard ISO 8601 format with UTC offset. Only
            supports Equal(eq)
          required: true
          schema:
            type: string
            format: date
          example: '2022-03-01'
        - name: settlementAmount
          in: query
          description: >-
            Used to filter account postings based on the settlement amount. The
            amount to be settled as part of this posting. Note: if this filter
            is used, it must be provided as a range. Can support Less than (lt),
            Less than or equal (lte), Greater than (gt) and greater than or
            Equal (gte)
          required: false
          schema:
            type: number
          example: 600.23
        - name: limit
          in: query
          description: >-
            Number of items to return in a page. Must be greater than or equal
            to 1  (Default 20)
          required: false
          schema:
            maximum: 500
            minimum: 1
            type: integer
            format: int32
          example: 20
        - name: offset
          in: query
          description: >-
            The number of the record to start the page from. Must be greater
            than 0 and less than 2147483647 (The maximum value for an integer).
            The default value is 0.
          required: false
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int64
          example: 0
        - name: sort
          in: query
          description: >-
            Order to sort results in [direction][field] where direction is
            +(ascending) or -(descending)
          required: false
          schema:
            type: string
          example: +id
        - name: x-userContext
          in: header
          description: >-
            User context is in base64 format. It will include the institution
            BIC. Participants do not need to send this value. This will be
            populated at Network Level.
          required: false
          schema:
            type: string
            format: byte
          example: >-
            eyJhbGciOiJSUzI1NiIsImtpZCI6ImN1cmwgLXYgbGRhcDovL0RJUkwwMS5zd2lmdG5ldC5zaXBuLnN3aWZ0LmNvbTozODkvY249dHNzY2hhbm5lbCxvPXN3bGliZWIzLG89c3dpZnQ/dXNlckNlcnRpZmljYXRlIiwidHlwIjoiSldUIn0=
        - name: x-journeyId
          in: header
          description: >-
            Used to uniquely identify end to end journey of the API request. If
            header is provided in the request, then the same will be replayed in
            response headers. This will be populated at Network Level.
          required: false
          schema:
            maxLength: 64
            minLength: 64
            type: string
          example: 721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        - name: X-Forwarded-Host
          in: header
          description: >-
            Identifies the original host and port requested by the client in the
            Host HTTP request header. If no port is included, the default port
            for the service requested is implied. This will be populated at
            Network Level.
          required: false
          schema:
            pattern: ^[-a-zA-Z0-9@:%._+~#]{2,256}(:[0-9]{2,4})*$
            type: string
          example: example.com:8080
        - name: X-Forwarded-Path
          in: header
          description: >-
            Identifies the original URL path requested by the client, including
            any query string. This will be populated at Network Level.
          required: false
          schema:
            type: string
          example: /boe-rtgs-api/resource-mgmt/v1/resources?parentName=eq%3Aparent
      responses:
        '200':
          description: Account Posting Details found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/AccountPostingsResponseList_OperatorListEndpoints
        '400':
          description: Bad request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/APIErrorResponseWrapperDTO_OperatorListEndpoints
              example:
                error:
                  status: '400'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a12
                  detail: Invalid parameters
                  errors:
                    - errorCode: EAPIGTW2002
                      detail: Limit parameter is less than 1
        '401':
          description: Unauthorized
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '403':
          description: Forbidden
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '404':
          description: Record not found
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
            Cache-Control:
              description: >-
                Holds directives (instructions) for caching in responses. No
                caching done from API gateway side.
              style: simple
              schema:
                type: string
                example: no-cache, no-store, no-transform
            Content-Language:
              description: >-
                Describes the language(s) intended for the audience. Allowed
                values: "en-GB".
              style: simple
              schema:
                type: string
                example: en-GB
          content:
            application/json;charset=utf-8:
              schema:
                $ref: >-
                  #/components/schemas/APIErrorResponseWrapperDTO_OperatorListEndpoints
              example:
                error:
                  status: '404'
                  id: a1aa1111-1a11-1111-11a1-1aa1aa111a15
                  detail: Record not found
                  errors:
                    - errorCode: EAPIGTW2017
                      detail: 'Record does not exist for given ID : 88'
        '405':
          description: Method not allowed
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '406':
          description: Not acceptable
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '429':
          description: Too many request
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
        '500':
          description: Internal server error
          headers:
            x-journeyId:
              description: Used to identify end to end journey of the API request.
              style: simple
              schema:
                type: string
                example: >-
                  721C04F0B91A53908E4233D56E07E35D7C62AE63B881DD50B24FF19315CB4F92
      path: /accounts/{accountId}/postingDetails
      method: GET
components:
  schemas:
    Account:
      title: Account
      required:
        - accountBookId
        - accountBookLastUpdatedOn
        - accountId
        - accountLastUpdatedOn
        - accountNumber
        - accountStatusCode
        - accountSubTypeCode
        - accountSubTypeName
        - accountTypeCode
        - accountTypeName
        - participantId
        - transactionSubTypeCodes
      type: object
      properties:
        accountId:
          pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
          type: string
          description: 'A unique ID for the Account assigned by the RTGS. '
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        accountFullName:
          pattern: ^[A-Za-z0-9()\.,\?\+:'\-/\s]{1,35}$
          type: string
          description: >-
            Full name of the RTGS account. Note: This field cannot be edited
            once an Account has been created.
          nullable: true
          example: NATWEST METTLE SETT Coutts
        accountDisplayName:
          pattern: ^[A-Za-z0-9()\.,\?\+:'\-/\s]{1,40}$
          type: string
          description: >-
            Displayed name of the account, initially made up of Book Name,
            Account Purpose & Account Suffix but it can be updated by the
            Account holder. For authorised consumers, when performing an update,
            this is an editable field. Note: This is different from the
            Account's full name.
          nullable: true
          example: NATWEST METTLE SETT Coutts
        accountNumber:
          pattern: ^[0-9]{8}$
          type: string
          description: >-
            8 digit number, when used in conjunction with sortCode, identifies a
            unique account.
          example: '12345678'
        sortCode:
          pattern: ^[0-9]{6}$
          type: string
          description: >-
            6 digit number, which represents the Bank that holds the account.
            When used in conjunction with the accountNumber, identifies a unique
            account.
          nullable: true
          example: '123456'
        iban:
          pattern: ^[A-Z]{2}[0-9]{2}[a-zA-Z0-9]{1,30}$
          type: string
          description: >-
            International Bank Account Number (IBAN) - identifier used
            internationally by financial institutions to uniquely identify the
            account. This should follow the standard ISO 13616 format.
          nullable: true
          example: GB33BUKB20201555555555
        accountSuffix:
          pattern: ^[A-Za-z0-9\s]{0,5}$
          type: string
          description: >-
            Used in the RTGS account name and aids in identifying the
            participant's usage of the account. For authorised consumers, when
            performing an update, this is an editable field.
          nullable: true
          example: CREST
        accountBalance:
          type: array
          description: >-
            This field represents the balance of the account in the currency
            specified by currencyCode, at a specific point in time represented
            by accountLastUpdatedOn. This field supports up to 2 decimal places.
            Note: this is a sum of all balance allocations associated to the
            account.
          nullable: true
          items:
            $ref: '#/components/schemas/FinancialAmount'
        accountStatusCode:
          pattern: ^[A-Z]{1,35}$
          type: string
          description: >-
            Determines the status of the account. For authorised consumers, when
            performing an update, this is an editable field. Possible values can
            be fetched from "GET /filterValues?resourceName=accountStatuses"
            endpoint.
          example: ACTIVE
        accountTypeCode:
          pattern: ^[A-Z_]{1,35}$
          type: string
          description: >-
            Identifier of the category (in an abbreviated form) to which the
            RTGS account belongs to. Possible values can be fetched from "GET
            /filterValues?resourceName=accountTypes" endpoint.
          example: SETT
        accountTypeName:
          pattern: ^[A-Za-z0-9\s]{1,16}$
          type: string
          description: >-
            Identifier of the category to which the RTGS account belongs to.
            Possible values can be fetched from "GET
            /filterValues?resourceName=accountTypes" endpoint.
          example: Settlement
        accountSubTypeCode:
          pattern: ^[A-Z]{1,35}$
          type: string
          description: >-
            Identifier of the subcategory (in an abbreviated form) to which the
            RTGS account belongs to. Possible values can be fetched from "GET
            /filterValues?resourceName=accountSubTypes&parentValue={accountTypeCode}"
            endpoint.
          example: CREST
        accountSubTypeName:
          pattern: ^[A-Za-z0-9\s]{1,50}$
          type: string
          description: >-
            Identifier of the subcategory to which the RTGS account belongs to.
            Possible values can be fetched from "GET
            /filterValues?resourceName=accountSubTypes&parentValue={accountTypeCode}"
            endpoint.
          example: CREST
        schemeCodes:
          pattern: ^[A-Z]{1,35}$
          uniqueItems: true
          type: array
          description: >-
            Code for the scheme (an abbreviated form) to which the account is
            associated to. An account can be associated to multiple schemes.
            Possible values can be fetched from "GET
            /filterValues?resourceName=schemes" endpoint.
          nullable: true
          example:
            - FSTP
          items:
            pattern: ^[A-Z]{1,35}$
            type: string
            description: >-
              Code for the scheme (an abbreviated form) to which the account is
              associated to. An account can be associated to multiple schemes.
              Possible values can be fetched from "GET
              /filterValues?resourceName=schemes" endpoint.
            nullable: true
            example: '["FSTP"]'
        schemeNames:
          pattern: ^[A-Za-z0-9& \s]{1,50}$
          uniqueItems: true
          type: array
          description: >-
            Name of the scheme to which the account is associated to. An account
            can be associated to multiple schemes. Possible values can be
            fetched from "GET /filterValues?resourceName=schemes" endpoint.
          nullable: true
          example:
            - Faster Payments
          items:
            pattern: ^[A-Za-z0-9& \s]{1,50}$
            type: string
            description: >-
              Name of the scheme to which the account is associated to. An
              account can be associated to multiple schemes. Possible values can
              be fetched from "GET /filterValues?resourceName=schemes" endpoint.
            nullable: true
            example: '["Faster Payments"]'
        participantId:
          pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
          type: string
          description: 'A unique ID for the participant in the RTGS. '
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        participantFullName:
          pattern: >-
            ^[\\0-9a-zA-Z\/\-\?\:\(\)\.\,\'\+\s\!\#\$\%\&\*\=\^\_\`\{\|\}~"\;\<\>\@\[\]]{1,100}$
          type: string
          description: Full Name of the organisation/participant the account belongs to.
          nullable: true
          example: Barclays
        accountLastUpdatedOn:
          type: string
          description: >-
            Date and time at which the account was last updated. Contains the
            latest timestamp of when changes were made directly to an account /
            its properties such as: account display name (if permissions allow).
            Note: changing account book or balance allocation associated to an
            account does not result in any changes made to this field. This
            should follow the standard ISO 8601 format with UTC offset.
          format: date-time
          example: '2021-05-22T13:00:00.123456Z'
        accountBookId:
          pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
          type: string
          description: >-
            A unique ID for the Account Book assigned by the RTGS. An Account
            Book is a container that groups a portfolio of accounts.
          example: a4faa192-ddd7-11ed-b5ea-0242ac120002
        accountBookName:
          pattern: ^[&A-Za-z0-9()\.,\?\+:'\-/\s]{1,40}$
          type: string
          description: >-
            Name of the Account Book to which the account belongs. An Account
            Book is a container that groups a portfolio of accounts. Account
            book name is made up of participant short name and account book
            suffix. Possible values can be fetched from "GET
            /filterValues?resourceName=accountBooks&parentValue={participantId}"
            endpoint.
          nullable: true
          example: Natwest Primary
        accountBookCode:
          pattern: ^[A-Za-z0-9\s]{1,35}$
          type: string
          description: >-
            Code for the Account Book to which the account belongs. An Account
            Book is a container that groups a portfolio of accounts. Possible
            values can be fetched from "GET
            /filterValues?resourceName=accountBooks&parentValue={participantId}"
            endpoint.
          nullable: true
          example: NMP
        accountBookSuffix:
          pattern: ^[A-Za-z0-9\s]{1,7}$
          type: string
          description: >-
            Used in book name and aids in identifying the participant's usage of
            the book. For authorised consumers, when performing an update, this
            is an editable field.
          nullable: true
          example: CF
        accountBookLastUpdatedOn:
          type: string
          description: >-
            Date and time at which the account book was last updated. Contains
            the latest timestamp of when changes were made directly to an
            account book / its properties such as: account book name (if
            permissions allow). Note: changing account or balance allocation
            information associated to an account book does not result in any
            changes made to this field. This should follow the standard ISO 8601
            format with UTC offset.
          format: date-time
          example: '2021-05-22T13:00:00.123456Z'
        statementDeliveryBic:
          pattern: ^[A-Z0-9]{4}[A-Z]{2}[A-Z0-9]{2}([A-Z0-9]{3}){0,1}$
          type: string
          description: >-
            The Business Identification Code (BIC) used to send Reports and
            Statements for the account. For authorised consumers, when
            performing an update, this is an editable field.
          nullable: true
          example: NWBKGB4N456
        primarySettlementAccountIndicator:
          type: boolean
          description: >-
            Identifies whether this account can credit interest and debit
            charges. Not every organisation is eligible to accrue interest. For
            authorised consumers, when performing an update, this is an editable
            field.
          nullable: true
          example: false
        transactionSubTypeCodes:
          uniqueItems: true
          type: array
          description: >-
            Determines the sub category of the transaction type associated to
            the account. Possible values can be fetched from GET
            /filterValues?resourceName=transactionSubTypes&parentValue={transactionTypeCode}
            endpoint.
          example:
            - CHCH
          items:
            type: string
            description: >-
              Determines the sub category of the transaction type associated to
              the account. Possible values can be fetched from GET
              /filterValues?resourceName=transactionSubTypes&parentValue={transactionTypeCode}
              endpoint.
            example: '["CHCH"]'
        readOnly:
          type: boolean
          description: >-
            Flag to indicate whether the resource is editable. If the flag is
            "true", the request to update/delete a resource will fail. This
            field will be available on the GET Single Account endpoint only.
          nullable: true
          example: true
    AccountResponseList:
      title: AccountResponseList
      type: object
      properties:
        data:
          $ref: '#/components/schemas/OffsetPaginatedListResponseAccount'
        links:
          $ref: '#/components/schemas/OffsetResponseLinksSchema'
    FinancialAmount:
      title: MonetaryDetail
      required:
        - currencyCode
      type: object
      properties:
        amount:
          maximum: 1e+33
          exclusiveMaximum: true
          minimum: -1e+33
          exclusiveMinimum: true
          type: number
          description: >-
            The number of monetary units specified in an active currency. This
            could be positive or negative amount. Negative amount should start
            with minus (-) sign. The amount format including decimal fraction
            should comply as per ISO 4217 currency amount.
          format: double
          nullable: true
          example: 50.65
        currencyCode:
          pattern: ^[A-Z]{3}$
          type: string
          description: >-
            Identification of the currency associated to the resource. This
            should follow the standard ISO 4217 format.

            Possible values can be fetched from "GET
            /filterValues?resourceName=currencies" endpoint.
          example: GBP
      description: >-
        The number of monetary units specified in an active currency. This could
        be positive or negative amount. Negative amount should start with minus
        (-) sign. The amount format including decimal fraction should comply as
        per ISO 4217 currency amount.
      nullable: true
    OffsetPaginatedListResponseAccount:
      title: OffsetPaginatedListResponse
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Account'
        sort:
          type: string
          description: The sort direction and the field name used to sort the resources by.
          example: +id
        totalRecordCount:
          type: integer
          description: The total number of records for a given resource.
          format: int64
          example: 100
        offset:
          type: integer
          description: Current record count offset for this page.
          format: int64
          example: 0
        limit:
          type: integer
          description: The total number of records retrieved per page.
          format: int64
          example: 20
    OffsetResponseLinksSchema:
      title: Links
      required:
        - first
        - last
        - self
      type: object
      properties:
        self:
          type: string
          description: A URL to reproduce the current request.
          example: '{apiPath}/v1/resource?offset=60&limit=20'
        first:
          type: string
          description: A URL to retrieve the first page of resources.
          example: '{apiPath}/v1/resource?offset=0&limit=20'
        last:
          type: string
          description: A URL to retrieve the last page of resources
          example: '{apiPath}/v1/resource?offset=300000&limit=20'
        next:
          type: string
          description: A URL to retrieve the next page of resources.
          example: '{apiPath}/v1/resource?offset=80&limit=20'
        previous:
          type: string
          description: A URL to retrieve the previous page of resources
          example: '{apiPath}/v1/resource?offset=40&limit=20'
        taskUrl:
          $ref: '#/components/schemas/TaskUrlSchema'
    TaskUrlSchema:
      title: TaskLinks
      type: object
      properties:
        Task for Resource 1:
          type: string
          description: A URL to retrieve task information associated to a resource.
          example: '{taskApiPath}/v1/tasks/581ddd74-5151-4c74-ad2f-b2196752bbad'
        Task for Resource 2:
          type: string
          description: A URL to retrieve task information associated to a resource.
          example: '{taskApiPath}/v1/tasks/3d9397d1-e394-4863-be26-0686684bc510'
    APIErrorResponseDTO:
      title: APIErrorResponse
      required:
        - detail
        - errors
        - id
        - status
      type: object
      properties:
        status:
          pattern: ^\d{3}$
          type: string
          description: >-
            Standard HTTP Status code defined in <a
            href=https://datatracker.ietf.org/doc/html/rfc7231>RFC 7231</a>
        id:
          maxLength: 36
          minLength: 36
          type: string
          description: >-
            A unique reference (GUID) for the error instance, for audit purposes
            and traceability.
          format: uuid
          example: fb06dbc9-da8d-4927-b0f8-0eec823aaaa7
        detail:
          type: string
          description: Brief error message explaining the error
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorsFragment'
    APIErrorResponseWrapperDTO:
      title: APIErrorResponseWrapper
      type: object
      properties:
        error:
          $ref: '#/components/schemas/APIErrorResponseDTO'
    ErrorsFragment:
      title: ErrorInfo
      required:
        - detail
        - errorCode
      type: object
      properties:
        errorCode:
          maxLength: 11
          minLength: 11
          pattern: E[A-Z0-9]{6}[0-9]{4}
          type: string
          description: |-
            Custom Error Code consists of the following
             <ul><li>1 char type specifier - 'E' for error codes</li><li>6 character base pattern - A concatenation of 'APIGTW'</li><li>4 digit sequence number - 1000<=x<2000 for system errors, 2000<=x<3000 for business errors, 3000<=x<4000 for technical errors</li></ul>
          example: EAPIGTW2039
        detail:
          type: string
          description: Description of the error detail with further granularity
        uri:
          type: string
          description: >-
            URL to help remediate the problem, or provide more information, or
            to API Reference or help etc.
          format: uri
    AccountSingleResponse:
      title: AccountSingleResponse
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SingleResponseAccount'
        links:
          $ref: '#/components/schemas/SingleResponseLinksSchema'
    SingleResponseAccount:
      title: SingleResponse
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Account'
    SingleResponseLinksSchema:
      title: Links
      required:
        - self
      type: object
      properties:
        self:
          type: string
          description: A URL to reproduce the current request.
          example: '{apiPath}/v1/resource/1f740fe7-c251-4d82-8abd-11953d76f594'
        taskUrl:
          type: string
          description: A URL to retrieve task information associated to a resource.
          example: '{taskApiPath}/v1/tasks/0e740fe7-c251-4d82-8abd-11953d76f593'
    TaskUrlSchema_OperatorListEndpoints:
      title: TaskLinks
      type: object
      properties:
        Task for Resource 1:
          type: string
          description: A URL to retrieve task information associated to a resource.
          example: '{taskApiPath}/v1/tasks/581ddd74-5151-4c74-ad2f-b2196752bbad'
        Task for Resource 2:
          type: string
          description: A URL to retrieve task information associated to a resource.
          example: '{taskApiPath}/v1/tasks/3d9397d1-e394-4863-be26-0686684bc510'
    APIErrorResponseDTO_OperatorListEndpoints:
      title: APIErrorResponse
      required:
        - detail
        - errors
        - id
        - status
      type: object
      properties:
        status:
          pattern: ^\d{3}$
          type: string
          description: >-
            Standard HTTP Status code defined in <a
            href=https://datatracker.ietf.org/doc/html/rfc7231>RFC 7231</a>
        id:
          maxLength: 36
          minLength: 36
          type: string
          description: >-
            A unique reference (GUID) for the error instance, for audit purposes
            and traceability.
          format: uuid
          example: fb06dbc9-da8d-4927-b0f8-0eec823aaaa7
        detail:
          type: string
          description: Brief error message explaining the error
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorsFragment_OperatorListEndpoints'
    APIErrorResponseWrapperDTO_OperatorListEndpoints:
      title: APIErrorResponseWrapper
      type: object
      properties:
        error:
          $ref: '#/components/schemas/APIErrorResponseDTO_OperatorListEndpoints'
    ErrorsFragment_OperatorListEndpoints:
      title: ErrorInfo
      required:
        - detail
        - errorCode
      type: object
      properties:
        errorCode:
          maxLength: 11
          minLength: 11
          pattern: E[A-Z0-9]{6}[0-9]{4}
          type: string
          description: |-
            Custom Error Code consists of the following
             <ul><li>1 char type specifier - 'E' for error codes</li><li>6 character base pattern - A concatenation of 'APIGTW'</li><li>4 digit sequence number - 1000<=x<2000 for system errors, 2000<=x<3000 for business errors, 3000<=x<4000 for technical errors</li></ul>
          example: EAPIGTW2039
        detail:
          type: string
          description: Description of the error detail with further granularity
        uri:
          type: string
          description: >-
            URL to help remediate the problem, or provide more information, or
            to API Reference or help etc.
          format: uri
    AccountReportResponseList_OperatorListEndpoints:
      title: AccountReportResponseList
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/OffsetPaginatedListResponseReport_OperatorListEndpoints
        links:
          $ref: '#/components/schemas/OffsetResponseLinksSchema_OperatorListEndpoints'
    OffsetPaginatedListResponseReport_OperatorListEndpoints:
      title: OffsetPaginatedListResponse
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Report_OperatorListEndpoints'
        sort:
          type: string
          description: The sort direction and the field name used to sort the resources by.
          example: +id
        totalRecordCount:
          type: integer
          description: The total number of records for a given resource.
          format: int64
          example: 100
        offset:
          type: integer
          description: Current record count offset for this page.
          format: int64
          example: 0
        limit:
          type: integer
          description: The total number of records retrieved per page.
          format: int64
          example: 20
[...]
